commit 2d4c73da7de2c0bfc47d5321f158f6620c008b7a
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Wed Jan 21 13:21:27 2026 +0000

    More coverage in "-bV" datatype size diagnostics

diff --git a/src/src/exim.c b/src/src/exim.c
index 6924b4b14..489aa3bd6 100644
--- a/src/src/exim.c
+++ b/src/src/exim.c
@@ -1277,7 +1277,9 @@ if (fixed_never_users[0] > 0)
 
 g = string_fmt_append(g, "Configure owner: %d:%d\n", config_uid, config_gid);
 
-g = string_fmt_append(g, "Size of off_t: " SIZE_T_FMT "\n", sizeof(off_t));
+g = string_fmt_append(g, "Size of off_t:" SIZE_T_FMT
+      " ptr:" SIZE_T_FMT " long:" SIZE_T_FMT " int:" SIZE_T_FMT "\n",
+      sizeof(off_t), sizeof(void *), sizeof(long), sizeof(int));
 
 /* Everything else is details which are only worth reporting when debugging.
 Perhaps the tls_version_report should move into this too. */
diff --git a/src/src/globals.c b/src/src/globals.c
index c4f5064e7..142cdde5e 100644
--- a/src/src/globals.c
+++ b/src/src/globals.c
@@ -1453,8 +1453,8 @@ uschar *uucp_from_sender       = US"$1";
 
 uschar *verify_mode	       = NULL;
 uschar *version_copyright      =
- US"Copyright (c) University of Cambridge, 1995 - 2018\n"
-   "(c) The Exim Maintainers and contributors in ACKNOWLEDGMENTS file, 2007 - 2025";
+ US"Copyright (c) The Exim Maintainers and contributors in ACKNOWLEDGMENTS file, 2007 - 2026\n"
+ "Copyright (c) University of Cambridge, 1995 - 2018\n";
 uschar *version_date           = US"?";
 uschar *version_cnumber        = US"????";
 uschar *version_string         = US"?";

